分享 初学者连载系列之十九:手动安装 Ruby 1.9.3 并升级 RubyGems

kevinhua · 2012年04月07日 · 3481 次阅读

系列文章原载于自己的博客,TOPI.CO (http://topi.co) ,某天不小心就 push 错啦,懒得从头再来,上传到 Ruby-China 来,一是方便自己回顾,另外也方便跟我一样的初学者

提示:在 Ubuntu 环境下安装过程中,如果提示权限问题,可以使用sudo makesudo make install

###Ruby 1.9.3 p125 安装

wget http://ftp.ruby-lang.org/pub/ruby/1.9/ruby-1.9.3-p125.tar.gz \
&& tar -xzvf ruby-1.9.3-p125.tar.gz \
&& cd ruby-1.9.3-p125 \
&& ./configure --with-openssl-dir=/usr/lib/openssl
make && make install

###Zlib 支持

cd ext/zlib
ruby extconf.rb --with-zlib-include=/usr/include --with-zlib-lib=/usr/lib
make && make install

###Openssl 支持

cd ext/openssl
ruby extconf.rb
make && make install

###Readline 支持

cd ext/readline
ruby extconf.rb
make && make install

###升级 RubyGems

gem update —system

暂无回复。
需要 登录 后方可回复, 如果你还没有账号请 注册新账号